Skip to content

Retrieve a secret folder

Request

OPA roles:
  • end_user

Retrieves the specified secret folder. Users must be authorized to perform this action by an existing security policy.

Security
bearerAuth
Path
team_namestringrequired

The name of your team

resource_group_idstringrequired

The UUID of a resource group

project_idstringrequired

The UUID of a project

secret_folder_idstringrequired

The UUID of a secret folder

GET
/v1/teams/{team_name}/resource_groups/{resource_group_id}/projects/{project_id}/secret_folders/{secret_folder_id}
curl -i -X GET \
  'https://{org_name}.pam.okta.com/v1/teams/{team_name}/resource_groups/{resource_group_id}/projects/{project_id}/secret_folders/{secret_folder_id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
created_atstring, (date-time)read-only

A timestamp indicating when the secret folder was created

Example:"2023-08-25T12:00:00.000000Z"
created_bystringread-only

The username of the user who created the secret folder

descriptionstring or nullread-only

A description of the secret folder

idstringread-onlyrequired

The UUID of the secret folder

namestringread-onlyrequired

The name of the secret folder

pathArray of objects(SecretPath)
updated_atstring, (date-time)read-only

A timestamp indicating when the secret folder was last updated

Example:"2023-08-25T12:00:00.000000Z"
updated_bystringread-only

The username of the user who last updated the secret folder

Response
{ "created_at": "2023-08-25T12:00:00.000000Z", "created_by": "string", "description": "string", "id": "string", "name": "string", "path": [ {} ], "updated_at": "2023-08-25T12:00:00.000000Z", "updated_by": "string" }